Межсайтовый скриптинг в phpODP

Дата публикации:
17.05.2006
Дата изменения:
24.03.2009
Всего просмотров:
919
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpODP 1.x
Уязвимые версии: phpODP 1.5h, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "browse" в сценарии odp.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[target]/[path]/odp.php?browse="><script>alert("lol");</script>

URL производителя: www.bie.no/products/phpodp/

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Open Directory Project Cross Site Scripting

или введите имя

CAPTCHA